summaryrefslogtreecommitdiff
path: root/zsh/plugins
diff options
context:
space:
mode:
authorUrbain Vaes <urbain@vaes.uk>2016-03-10 14:29:06 +0000
committerUrbain Vaes <urbain@vaes.uk>2016-03-10 14:29:06 +0000
commit3446f5387389b0e1671481c8a8fb9ea0eed519f6 (patch)
tree543bde435847c700507c3b229460b446f4a09028 /zsh/plugins
parentc9f80e43f431d89bbccd1ecc68c7b48fb8c01dd4 (diff)
Remove . from dotfiles for convenience
Diffstat (limited to 'zsh/plugins')
-rw-r--r--zsh/plugins51
1 files changed, 51 insertions, 0 deletions
diff --git a/zsh/plugins b/zsh/plugins
new file mode 100644
index 0000000..116c694
--- /dev/null
+++ b/zsh/plugins
@@ -0,0 +1,51 @@
+#! /bin/zsh
+
+# Load zgen
+source "/home/urbain/.zgen/zgen.zsh"
+
+# Load plugins
+if ! zgen saved; then
+
+ echo "Creating a zgen save"
+
+ # Load oh-my-zsh framework
+ zgen oh-my-zsh
+
+ # Oh-my-zsh plugins
+ zgen oh-my-zsh plugins/git
+ zgen oh-my-zsh plugins/vi-mode
+ zgen oh-my-zsh plugins/archlinux
+ zgen oh-my-zsh plugins/ubuntu
+ zgen oh-my-zsh plugins/tmux
+ zgen oh-my-zsh plugins/themes
+
+ # zsh-users plugins
+ zgen load zsh-users/zsh-completions src
+ zgen load zsh-users/zsh-syntax-highlighting
+
+ # Appearance
+ zgen oh-my-zsh themes/eastwood
+
+ # Navigation plugins
+ zgen load uvaes/fzf-marks
+
+ # Other plugins
+ zgen load rupa/z
+ zgen load djui/alias-tips
+ zgen load tarruda/zsh-autosuggestions
+ zgen load joel-porquet/zsh-dircolors-solarized
+
+ # Save all to init script
+ zgen save
+fi
+
+# Plugins configuration
+
+# Autosuggestion
+{
+ ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE='fg=6'
+ bindkey '^y' autosuggest-accept
+}
+
+# Z
+export _Z_EXCLUDE_DIRS=("$HOME/sshfs", "$HOME/nfs")